Semidefinite Blocks (Advanced Data)

Less frequently used routines to set data into the SDPCone object and operate on the variables.

#include dsdp5.h

In DSDP Standard Form, a semidefinite program is given by the pair of problems

where the data and are symmetric matrices of the same dimension and the inner product of two matrices and is defined by .

Blocks are labelled from 0 to nblocks, where nblocks is the total number of blocks in the SDPCone object.

Variables y are numbered 1 through m. Variable 0 designates the C matrices, which are also denoted .

Return values

  0 | if successful